
{ The  Emulator (C) 1989-91 Todor Todorov
  Debugger config program

   2 Oct 1991
   2 Oct 1991 }

{$A-,B-,D+,E-,F-,I-,L+,N-,O-,R-,S-,V-}
{$M 1024,0,0}

program dbgcfg;
  uses crt;
  var f: file of byte;
      i,j: byte;
      col: array[1..6] of byte;
      c: char;
  const names: array[1..6] of string[9] =
    ('Registers','Code','Stack','Break','Watch','Data');
begin
  assign(f,'COLORS.CFG');
  reset(f);
  for i := 1 to 6 do
    begin
      j := 0;
      read(f,j);
      if (j = 0) or (j >= 8) then j := 7;
      col[i] := j
    end;
  close(f);
  inoutres := 0;
  clrscr;
  j := 1;
  repeat
    for i := 1 to 6 do
      begin
        gotoxy(20,i*3);
        textcolor(col[i]);
        if i = j then highvideo;
        writeln(names[i])
      end;
    writeln; writeln; textcolor(white);
    write('Press Up/Down arrow to move; Left/Right arrow to change colors, Esc to end');
    c := readkey;
    if c = #0
      then c := readkey
      else c := #0;
    case c of
      #77: begin
             inc(col[j]);
             if col[j] = 8 then col[j] := 1
           end;
      #75: begin
             dec(col[j]);
             if col[j] = 0 then col[j] := 7
           end;
      #72: begin
             dec(j);
             if j = 0 then j := 6
           end;
      #80: begin
             inc(j);
             if j = 7 then j := 1
           end
    end
  until c = #0;
  rewrite(f);
  for i := 1 to 6 do
    write(f,col[i]);
  close(f);
  clrscr
end.
